For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
      • GETGet a list of channels
      • POSTCreate a new channel
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
ConversationsChannels

Get a list of channels

GET
https://example.ada.support/api/v2/channels/
GET
/api/v2/channels/
1import requests
2
3url = "https://example.ada.support/api/v2/channels/"
4
5querystring = {"type":"custom"}
6
7headers = {"Authorization": "Bearer <token>"}
8
9response = requests.get(url, headers=headers, params=querystring)
10
11print(response.json())
1{
2 "data": [
3 {
4 "type": "custom",
5 "description": "A custom messaging channel for my AI Agent",
6 "modality": "messaging",
7 "name": "My Custom Channel",
8 "created_at": "2020-09-20T00:00:00+00:00",
9 "id": "5df263b7db5a7e6ea03fae9b",
10 "metadata": {
11 "example_key1": "example_string_value",
12 "example_key2": true,
13 "example_key3": 123,
14 "example_key4": 0.95
15 }
16 }
17 ],
18 "meta": {
19 "next_page_url": "https://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
20 }
21}
Get a list of channels. This list can be filtered by modality and paginated. The default and maximum limits are 100 channels per page
Was this page helpful?
Previous

Create a new channel

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional1-100
The number of records to return
cursorstringOptional
The ID that marks the start or beginning of the returned records
typeenumRequired
The type of the channels to retrieve
Allowed values:
modalityenumOptional
The modality of the channels to retrieve
Allowed values:

Response

Channels
datalist of objects
metaobject

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error